## InternetAddressGroup

InternetAddressGroup — rfc822 'group' address

## Functions

InternetAddress * | internet_address_group_new ()
InternetAddressList * | internet_address_group_get_members ()
void | internet_address_group_set_members ()
int | internet_address_group_add_member ()

## Types and Values

struct | InternetAddressGroup

## Object Hierarchy

        GObject
        ╰── InternetAddress
            ╰── InternetAddressGroup

## Description

An InternetAddressGroup represents an rfc822 'group' address.

## Functions

### internet_address_group_new ()

    InternetAddress *
    internet_address_group_new (const char *name);

Creates a new InternetAddressGroup object with the specified `name` .

#### Parameters

name | group name |

#### Returns

a new InternetAddressGroup object.

Note: The `name` string should be in UTF-8.

### internet_address_group_get_members ()

    InternetAddressList *
    internet_address_group_get_members (InternetAddressGroup *group);

Gets the InternetAddressList containing the group members of an rfc822 group address.

#### Parameters

group | a InternetAddressGroup |

#### Returns

a InternetAddressList containing the members of `group` .

[transfer none]

### internet_address_group_set_members ()

    void
    internet_address_group_set_members (InternetAddressGroup *group,
                                        InternetAddressList *members);

Set the members of the internet address group.

#### Parameters

group | a InternetAddressGroup |
members | a InternetAddressList |

### internet_address_group_add_member ()

    int
    internet_address_group_add_member (InternetAddressGroup *group,
                                       InternetAddress *member);

Add a contact to the internet address group.

#### Parameters

group | a InternetAddressGroup |
member | a InternetAddress |

#### Returns

the index of the newly added member.

## Types and Values

### struct InternetAddressGroup

    struct InternetAddressGroup;

An RFC 2822 Group address.

#### Members

## See Also

InternetAddress